package com.ruoyi.project.pssr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.pssr.mapper.TPssrFrameMapper;
import com.ruoyi.project.pssr.domain.TPssrFrame;
import com.ruoyi.project.pssr.service.ITPssrFrameService;

/**
 * 支（吊）架Service业务层处理
 *
 * @author ssy
 * @date 2024-09-18
 */
@Service
public class TPssrFrameServiceImpl implements ITPssrFrameService
{
    @Autowired
    private TPssrFrameMapper tPssrFrameMapper;

    /**
     * 查询支（吊）架
     *
     * @param id 支（吊）架ID
     * @return 支（吊）架
     */
    @Override
    public TPssrFrame selectTPssrFrameById(Long id)
    {
        return tPssrFrameMapper.selectTPssrFrameById(id);
    }

    @Override
    public int selectNoConfirmCount(Long subId)
    {
        return tPssrFrameMapper.selectNoConfirmCount(subId);
    }
    /**
     * 查询支（吊）架列表
     *
     * @param tPssrFrame 支（吊）架
     * @return 支（吊）架
     */
    @Override
    public List<TPssrFrame> selectTPssrFrameList(TPssrFrame tPssrFrame)
    {
        return tPssrFrameMapper.selectTPssrFrameList(tPssrFrame);
    }

    /**
     * 新增支（吊）架
     *
     * @param tPssrFrame 支（吊）架
     * @return 结果
     */
    @Override
    public int insertTPssrFrame(TPssrFrame tPssrFrame)
    {
        return tPssrFrameMapper.insertTPssrFrame(tPssrFrame);
    }

    /**
     * 修改支（吊）架
     *
     * @param tPssrFrame 支（吊）架
     * @return 结果
     */
    @Override
    public int updateTPssrFrame(TPssrFrame tPssrFrame)
    {
        return tPssrFrameMapper.updateTPssrFrame(tPssrFrame);
    }

    /**
     * 批量删除支（吊）架
     *
     * @param ids 需要删除的支（吊）架ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFrameByIds(Long[] ids)
    {
        return tPssrFrameMapper.deleteTPssrFrameByIds(ids);
    }

    /**
     * 删除支（吊）架信息
     *
     * @param id 支（吊）架ID
     * @return 结果
     */
    @Override
    public int deleteTPssrFrameById(Long id)
    {
        return tPssrFrameMapper.deleteTPssrFrameById(id);
    }
}
